Message: LD_LIBRARY_PATH problem? exampleB1 not running due to lack of lib4GTree.so Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question LD_LIBRARY_PATH problem? exampleB1 not running due to lack of lib4GTree.so 

Forum: Installation and Configuration
Date: 19 Nov, 2014
From: Wladyslaw Surala <Wladyslaw Surala>

Hi All,

I have problem in running examples. I've installed Geant4 10.00.p03 as was described in http://geant4.web.cern.ch/geant4/UserDocumentation/UsersGuides/InstallationGuide/

and compiled example B1. However, running it results in following error:

"exampleB1: error while loading shared libraries: libG4Tree.so: cannot open shared object file: No such file or directory"

As I dug through the forum I understood that this may be linked not exactly to this proper library, but to library linking in some building scripts (am I correct?), i.e. the flag LD_LIBRARY_PATH is not set correctly in geant4make.sh (.csh). I checked both .sh and .csh geant4make files in my build directory and found the following code connected with this flag:

if ( ! ${?LD_LIBRARY_PATH} ) then
  setenv LD_LIBRARY_PATH /root/Desktop/geant4/geant4.10.00.p03-build/outputs/library/Linux-g++
else
  setenv LD_LIBRARY_PATH /root/Desktop/geant4/geant4.10.00.p03-build/outputs/library/Linux-g++:${LD_LIBRARY_PATH}
endif

but under '/root/Desktop/geant4/geant4.10.00.p03-build/outputs/library/Linux-g++' path there are all libraries present, including libG4Tree.so.

From this point I have two questions to which I didn't find the answer on forum: 1. Is my identification of the problem correct? If not, what am I making wrong? I have to emphasize that I've installed Geant4 with step-by-step instruction from the Guide. 2. What is the way of solving this problem and make examples run?

Any help or assistance would be very appreciated, I'm struggling for whole week to get this done.

Wladek

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Idea: Re: LD_LIBRARY_PATH problem? exampleB1 not running due to lack of lib4GTree.so   (Michael H. Kelsey - 19 Nov, 2014)
 Add Message Add Message
to: "LD_LIBRARY_PATH problem? exampleB1 not running due to lack of lib4GTree.so"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]